<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<xsd:complexType name="client">
  <xsd:sequence>
    <xsd:element name="uid" type="xsd:string" minOccurs="1" maxOccurs="1"/>
    <xsd:element name="ip" type="xsd:string" minOccurs="1" 
      maxOccurs="1"/>
    <xsd:element name="port" type="xsd:nonNegativeInteger" 
      minOccurs="1" maxOccurs="1"/>
    <xsd:element name="ipversion" minOccurs="1" maxOccurs="1">
        <xsd:simpleType>
          <xsd:restriction base="xsd:nonNegativeInteger">
            <xsd:enumeration value="4"/>
            <xsd:enumeration value="6"/>
          </xsd:restriction>
        </xsd:simpleType>
    </xsd:element>
  </xsd:sequence>
</xsd:complexType>
</xsd:schema>
